aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2018-06-05 21:47:50 +0200
committerHorea Christian <horea.christ@yandex.com>2018-06-05 23:18:00 +0200
commite9d9b186f708732bb1f369caca283be9f3fb28b1 (patch)
treed3ce5c8d44b1c81c26440ba081d4fc69cc1e6ccd
parentsys-cluster/openmpi: bump 3.1.0 (diff)
downloadsci-e9d9b186f708732bb1f369caca283be9f3fb28b1.tar.gz
sci-e9d9b186f708732bb1f369caca283be9f3fb28b1.tar.bz2
sci-e9d9b186f708732bb1f369caca283be9f3fb28b1.zip
sci-visualization/mricrogl: version bump
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--sci-visualization/mricrogl/Manifest1
-rw-r--r--sci-visualization/mricrogl/mricrogl-1.0.20180402.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/sci-visualization/mricrogl/Manifest b/sci-visualization/mricrogl/Manifest
index dfc1afcb0..76fe34d80 100644
--- a/sci-visualization/mricrogl/Manifest
+++ b/sci-visualization/mricrogl/Manifest
@@ -1,2 +1,3 @@
DIST mricrogl-1.0.20170401.tar.gz 75578721 BLAKE2B 2d84d20954a1d877ed45ce4effbcef2912cae0117159235b34acb03d5fc86793dd22b89f67ef3bb3f628817e2d7df0f1cad6adda2fcef908059207ab306461fa SHA512 50bbf1451a7b7848d3bc9c8ae6a30ec43ddf45520eacb168b4217b2dc5ab44de680cea55a5223bdb3cc5ebd78ccfdb10559dd212287aecede3165853a30ec082
DIST mricrogl-1.0.20170714.tar.gz 75803499 BLAKE2B b3b160fb6c1986693ea4bb76dcf27ef691476cbb6acb2eabfe0a5bc78f7d45718d79a7b042a53530d34252757d13bb5b5440fc9a19faa109bf7feb4dc25fd302 SHA512 ce544669343c77aa60698805e5c3b55d22be3b41278b321232695baf4f7f5811cdc898a36b4fd4a08abdcaa5268eda5ec761ced8f7764322cf1a03ec3df3086d
+DIST mricrogl-1.0.20180402.tar.gz 76341660 BLAKE2B 2a94bf9821dc60803efb9bf311846fbcb83881fbb21b69351d109e89a4261c3bd927b8639f85736adade5b8352fa4e20a63d60928210fed4ccc74c6cfd1364f5 SHA512 80c6451707472f5181e8a8c4dbae72ded140f1bd5481f0e5aa1eee2d3367ffab8248d093ecc1bdbca491c0e3d9e8ebd5f97c147b2408077b15c3d9f08d9a947f
diff --git a/sci-visualization/mricrogl/mricrogl-1.0.20180402.ebuild b/sci-visualization/mricrogl/mricrogl-1.0.20180402.ebuild
new file mode 100644
index 000000000..ab87019a2
--- /dev/null
+++ b/sci-visualization/mricrogl/mricrogl-1.0.20180402.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils gnome2-utils
+
+DESCRIPTION="A simple medical imaging visualization tool"
+HOMEPAGE="https://github.com/neurolabusc/MRIcroGL"
+SRC_URI="https://github.com/neurolabusc/MRIcroGL/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=""
+DEPEND="dev-lang/fpc
+ >=dev-lang/lazarus-1.6.2"
+
+S="${WORKDIR}/MRIcroGL-${PV}"
+
+src_compile() {
+ lazbuild -B --lazarusdir="${EPREFIX}/usr/share/lazarus/" simplelaz.lpi || die
+}
+
+src_install() {
+ dobin MRIcroGL
+
+ insinto /usr/share/mricrogl
+ doins -r lut script shaders
+
+ doicon -s scalable mricrogl.svg
+ make_desktop_entry MRIcroGL MRIcroGL /usr/share/icons/hicolor/scalable/apps/mricrogl.svg
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+pkg_postrm() {
+ gnome2_icon_cache_update
+}